OPGPROF(1)

NAME
opgprof - produce gprof-format profile data

SYNOPSIS
opgprof [ options ] [profile specification]

DESCRIPTION
opgprof outputs gprof-format profile data for a given binary image, from an OProfile session. See oprofile(1) for how to write profile specifications.

OPTIONS

--help / -? / --usage
    Show help message.

--version / -v
    Show version.

--verbose / -V [options]
    Give verbose debugging output.

--session-dir=dir_path
    Use sample database from the specified directory dir_path instead of the default location. If --session-dir is not specified, then opgprof will search for samples in <current_dir>/oprofile_data first. If that directory does not exist, the standard session-dir of /var/lib/oprofile is used.

--image-path / -p [paths]
    Comma-separated list of additional paths to search for binaries. This is needed to find modules in kernels 2.6 and upwards.

--root / -R [path]
    A path to a filesystem to search for additional binaries.

--threshold / -t [percentage]
    Only output data for symbols that have more than the given percentage of total samples.

--output-filename / -o [file]
    Output to the given file instead of the default, gmon.out

ENVIRONMENT
No special environment variables are recognized by opgprof.

FILES

<session_dir>/samples
    The location of the generated sample files.

VERSION

This man page is current for oprofile-1.1.0.

SEE ALSO
/usr/share/doc/oprofile/, oprofile(1)